summaryrefslogtreecommitdiffstats
path: root/system/microcode_ctl/microcode_ctl.SlackBuild
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2010-05-11 22:55:21 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:21 +0200
commit0687c9cad908a1f4ab35ec5144c296d93653f8b2 (patch)
tree0f909b2749452b963f6e493a34a28b64f7d1abe8 /system/microcode_ctl/microcode_ctl.SlackBuild
parent3136932f6339062353daadd5892ea6d2916c68fd (diff)
downloadslackbuilds-0687c9cad908a1f4ab35ec5144c296d93653f8b2.tar.gz
slackbuilds-0687c9cad908a1f4ab35ec5144c296d93653f8b2.tar.xz
system/microcode_ctl: Added to 12.1 repository
Diffstat (limited to 'system/microcode_ctl/microcode_ctl.SlackBuild')
-rw-r--r--system/microcode_ctl/microcode_ctl.SlackBuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/system/microcode_ctl/microcode_ctl.SlackBuild b/system/microcode_ctl/microcode_ctl.SlackBuild
new file mode 100644
index 0000000000..5fd4e3d0c9
--- /dev/null
+++ b/system/microcode_ctl/microcode_ctl.SlackBuild
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# Slackware build script for microcode_ctl
+# Author: Andrzej Telszewski <atelszewski@gmail.com>
+
+PRGNAM=microcode_ctl
+VERSION=1.17
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+make || exit 1
+strip --strip-unneeded microcode_ctl
+
+mkdir -p $PKG/usr/{sbin,man/man8,doc/$PRGNAM-$VERSION}
+cp microcode_ctl $PKG/usr/sbin
+cp microcode_ctl.8 $PKG/usr/man/man8
+gzip -9f $PKG/usr/man/man8/microcode_ctl.8
+cp Changelog README $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz